SRM(1)

NAME
srm - securely remove files or directories

SYNOPSIS
srm [OPTION]... FILE...

DESCRIPTION

srm removes each specified file by overwriting, renaming, and truncating it before unlinking. This prevents other people from undeleting or recovering any information about the file from the command line.

srm, like every program that uses the getopt function to parse its arguments, lets you use the -- option to indicate that all following arguments are non-options. To remove a file called '-f' in the current directory, you could type either "srm -- -f" or "srm ./-f".

OPTIONS

-d, --directory
    ignored (for compatibility with rm(1))

-f, --force
    ignore nonexistent files, never prompt

-i, --interactive
    prompt before any removal

-r, -R, --recursive
    remove the contents of directories recursively

-s, --simple
    only overwrite with a single pass of random data

-m, --medium
    overwrite the file with 7 US DoD compliant passes (0xF6, 0x00, 0xFF, random, 0x00, 0xFF, random)

-z, --zero
    after overwriting, zero blocks used by file

-n, --nounlink
    overwrite file, but do not rename or unlink it

-v, --verbose
    explain what is being done

--help
    display this help and exit

--version
    output version information and exit

NOTES

srm can not remove write protected files owned by another user, regardless of the permissions on the directory containing the file.

The -s option overrides the -m option, if both are present. If neither is specified, the 35-pass Gutmann algorithm is used.

Development and discussion of srm is carried out at <http://sourceforge.net/project/?group_id=3297>, which is also accessible via <http://srm.sourceforge.net>.

SEE ALSO
rm(1)